__gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, true > Class Template Reference

Inherits Comb_Hash_Fn.

## Protected Types

typedef Comb_Hash_Fn | comb_hash_fn_base
typedef _Alloc::size_type | size_type

## Protected Member Functions

| ranged_hash_fn (size_type)
| ranged_hash_fn (size_type, const Comb_Hash_Fn &)
| ranged_hash_fn (size_type, const null_type &, const Comb_Hash_Fn &)
void | swap (ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, true > &)

## Detailed Description

### template<typename Key, typename _Alloc, typename Comb_Hash_Fn>
class __gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, true >

Specialization 4 The client does not supply a hash function (by specifying null_type as the Hash_Fn parameter), and requests that hash values be stored.

Definition at line 312 of file ranged_hash_fn.hpp.

The documentation for this class was generated from the following file:

- ranged_hash_fn.hpp